petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatSchurComplementComputeExplicitOperator

Compute the Schur complement matrix explicitly

### Synopsis

    #include "petscksp.h"
    PetscErrorCode MatSchurComplementComputeExplicitOperator(Mat M, Mat *S)

Collective on Mat

### Input Parameter

M -the matrix obtained with MatCreateSchurComplement()

### Output Parameter

S -the Schur complement matrix

Note: This can be expensive, so it is mainly for testing

### See Also

MatCreateSchurComplement(), MatSchurComplementUpdate()

Level:advanced
Location:src/ksp/ksp/utils/schurm.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages